Page MenuHomeFreeBSD

audio/ncmpcpp: Update to 0.6.1
ClosedPublic

Authored by xmj on Dec 16 2014, 1:14 PM.

Details

Reviewers
swills
koobs
Summary
audio/ncmpcpp: Update to 0.6.2

- Remove broken MASTER_SITES
- Force a C++11 compiler and stdlib
- Add dependency to devel/boost-libs
- Force BOOST_LIB_SUFFIX to be empty (required for configure)
- Enable UTF8 by default (most music collections nowadays have files with utf-8
  encoded names and tags)
- Enable TAGLIB by default (taglib is nice to have but adds a dependecy to the
  rather small audio/taglib)
- Do not install ${DOCSDIR}/keys since it was removed
- Install ${DOCSDIR}/ncmpcpp-completion.bash and ${DOCSDIR}/bindings
- Update pkg-message
- Remove files/patch-src__visualizer.h since it's not needed any more

PR:		195070
DiffRev:	placeholder
Submitted by:	yamagi@yamagi.org
Approved by:	maintainer timeout (4 weeks)
Approved by:	swills (mentor)
Test Plan

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

xmj updated this revision to Diff 2764.Dec 16 2014, 1:14 PM
xmj retitled this revision from to audio/ncmpcpp: Update to 0.6.1.
xmj updated this object.
xmj edited the test plan for this revision. (Show Details)
xmj added reviewers: swills, koobs.
koobs requested changes to this revision.Dec 17 2014, 10:16 AM
koobs edited edge metadata.
koobs added inline comments.
audio/ncmpcpp/Makefile
21–22

This could do with sorting :)

32–33

Use OPTIONS helpers here

audio/ncmpcpp/files/patch-src__status.cpp
2

This is not referenced in your commit log items. Was there an upstream bug/changeset referenced? If so, add comment block at top of diff with links/refs

This revision now requires changes to proceed.Dec 17 2014, 10:16 AM
xmj updated this revision to Diff 2818.Dec 22 2014, 5:15 PM
xmj edited edge metadata.

use options helpers, rearrange OPTIONS_DEFINE, pet portlint

koobs requested changes to this revision.Dec 24 2014, 9:52 AM
koobs edited edge metadata.
koobs added inline comments.
audio/ncmpcpp/files/patch-src__status.cpp
2

Patch header/description/comment/upstream-refs needed

audio/ncmpcpp/pkg-descr
5

Strip trailing slash

audio/ncmpcpp/pkg-message
4–6

ncmcpp no longer uses <file> for configuration. It has been replaced by ...

This revision now requires changes to proceed.Dec 24 2014, 9:52 AM
xmj updated this revision to Diff 2908.Dec 29 2014, 8:47 AM
xmj edited edge metadata.

CRF stuff, bump to 0.6.2

xmj updated this object.Dec 29 2014, 8:48 AM
xmj edited edge metadata.
koobs accepted this revision.Dec 29 2014, 8:57 AM
koobs edited edge metadata.

LGTM, ship it! :)

This revision is now accepted and ready to land.Dec 29 2014, 8:57 AM
xmj closed this revision.Dec 29 2014, 9:01 AM

Committed revision 375777.